# SIPNotify Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPNotify:

[legend]
Collaboration diagram for SIPNotify:
[legend]

## Public Member Functions

| SIPNotify (SIPTransactionOwner &owner, OpalTransport &transport, SIPDialogContext &dialog, const SIPEventPackage &eventPackage, const PString &state, const PString &body)
virtual SIPTransaction * | CreateDuplicate () const

## Constructor & Destructor Documentation

SIPNotify::SIPNotify | ( | SIPTransactionOwner & | owner,
|  | OpalTransport & | transport,
|  | SIPDialogContext & | dialog,
|  | const SIPEventPackage & | eventPackage,
|  | const PString & | state,
|  | const PString & | body |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPNotify::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h